Ruby - Bug #3332

r27953: gem install causes "uninitialized constant Gem::Commands::InstallCommand"
05/23/2010 05:49 AM - sandal (Gregory Brown)

Status: Rejected
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 1.9.3dev (2010-05-22 trunk 27953) |Backport:
[x86_64-darwin10.3.0]

Description

=begin
Building from http://svn.ruby-lang.org/repos/ruby/trunk at r27953 causes gem install to fail on both Mac OS X 10.5 and 10.6.

Steps to reproduce follow:
Build from SVN at the above revision in the standard way:

autoconf
/configure
make

make install

Then run the following:

$ gem install -prawn -V --debug

Exception NameError' at /Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:164 - uninitialized constant
Gem::Commands::InstallCommand Exception NoMethodError' at
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/spec_fetcher.rb:11 - undefined method const_missing' for Gem:Module Exception
NoMethodError' at /Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/dependency_installer.rb:4 - undefined method const_missing' for
Gem:Module Exception NoMethodError' at /Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/commands/install_command.rb:4 -
undefined method const_missing' for Gem:Module Exception NoMethodError' at
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:170 - undefined method const_missing' for Gem:Module
ERROR: Loading command: install (NoMethodError) undefined method const_missing' for Gem:Module
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/spec_fetcher.rb:11:in <top (required)>'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/dependency_installer.rb:4:in require’
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/dependency_installer.rb:4:in <top (required)>'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/commands/install_command.rb:4:in require’
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/commands/install_command.rb:4:in <top (required)>'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:170:in require’
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:170:in rescue in load_and_instantiate’
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:163:in load_and_instantiate'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:90:in []'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:146:in find_command'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:133:in process_args'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:104:in run'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/gem_runner.rb:58:in run' /Users/byron/lib/ruby192/bin/gem:21:in '

Exception NameError' at /Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:164 - uninitialized constant
Gem::Commands::InstallCommand Exception NameError' at
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:166 - uninitialized constant
Gem::Commands::InstallCommand

ERROR: While executing gem ... (NameError)

uninitialized constant Gem::Commands::InstallCommand
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:164:in const_get'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:164:in load_and_instantiate'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:90:in []'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:146:in find_command'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:133:in process_args'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/command_manager.rb:104:in run'
/Users/byron/lib/ruby192/lib/ruby/1.9.1/rubygems/gem_runner.rb:58:in run' /Users/byron/lib/ruby192/bin/gem:21:in '

| have reviewed this with Eric Hodel, just capturing for further investigation.
=end

History

#1 - 05/25/2010 10:46 AM - zenspider (Ryan Davis)
=begin

On May 22, 2010, at 13:49 , Gregory Brown wrote:

Bug #3332: r27953: gem install causes "uninitialized constant Gem::Commands::InstallCommand"
http://redmine.ruby-lang.org/issues/show/3332

Author: Gregory Brown
Status: Open, Priority: Normal
ruby -v: ruby 1.9.3dev (2010-05-22 trunk 27953) [x86_64-darwin10.3.0]

Building from http://svn.ruby-lang.org/repos/ruby/trunk at r27953 causes gem install to fail on both Mac OS X 10.5 and 10.6.

Steps to reproduce follow:
Build from SVN at the above revision in the standard way:
autoconf
Jconfigure
make
make install
Then run the following:
$ gem install -prawn -V --debug
| can't repro at all. First off, | assume you don't mean "-prawn" and instead mean "prawn". | updated my svn checkout to the revision you specified, did
the above commands (adding --prefix=/tmp/ruby19 --program-suffix=19 to configure) and it installed fine. | also set PATH and GEM_PATH to point to
the new dirs.
So something else very odd is going on.
For the sake of documentation, can you provide the following:
1. Have you remove/renamed stock /usr/bin/{ruby,gem,rdoc} ?
2.env | egrep ""PATH|GEM|RUBY"

3. xcodebuild -version

4.sw_vers

For me:
1.no, | normally use stock ruby on 10.6.3
508 % env | egrep ""PATH|GEM|RUBY"

PATH=/Users/ryan/Bin:/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin:/opt/local/bin:/opt/local/sbin:/Developer/usr/bin:/usr/X11R6/bin
GEM_PATH=/Library/Ruby/Gems/1.8

Xcode 3.2.1
Component versions: DevToolsCore-1614.0; DevToolsSupport-1591.0
BuildVersion: 10M2003

ProductName: Mac OS X
ProductVersion: 10.6.3
BuildVersion: 10D573

Tangental problem: rubygems doesn't seem to use program-suffix for rdoc sub-commands.

=end
#2 - 05/27/2010 03:12 PM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Feedback

=begin

=end

#3 - 06/09/2010 03:41 AM - mame (Yusuke Endoh)

- Priority changed from Normal to 3

=begin
Hi, Gregory

| also cannot reproduce. Could you answer to Ryan's questions?
Otherwise, we can't do anything about this ticket.

This ticket will have Low-priority until you answer.

Yusuke Endoh mame@tsg.ne.jp

=end

#4 - 06/26/2011 02:55 PM - naruse (Yui NARUSE)
- Status changed from Feedback to Rejected

timeout
